#ifndef _RC_BUTTON_H_
#define _RC_BUTTON_H_

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define RC_TYPE_BUTTON                 (rc_button_get_type ())
#define RC_BUTTON(obj)                 (G_TYPE_CHECK_INSTANCE_CAST ((obj), RC_TYPE_BUTTON, RcButton))
#define RC_BUTTON_CLASS(klass)         (G_TYPE_CHECK_CLASS_CAST ((klass), RC_TYPE_BUTTON, RcButtonClass))
#define RC_IS_BUTTON(obj)              (G_TYPE_CHECK_INSTANCE_TYPE ((obj), RC_TYPE_BUTTON))
#define RC_IS_BUTTON_CLASS(klass)      (G_TYPE_CHECK_CLASS_TYPE ((klass), RC_TYPE_BUTTON))
#define RC_BUTTON_GET_CLASS(obj)       (G_TYPE_INSTANCE_GET_CLASS ((obj), RC_TYPE_BUTTON, RcButtonClass))

typedef struct _RcButton        RcButton;
typedef struct _RcButtonClass   RcButtonClass;

struct _RcButtonClass 
{
  GtkButtonClass parent_class;
};

struct _RcButton
{
  GtkButton button;

  gpointer data;
};

GType rc_button_get_type (void) G_GNUC_CONST;
GtkWidget *rc_button_new (void);
GtkWidget *rc_button_new_with_data (gpointer data);

G_END_DECLS

#endif /* _RC_BUTTON_H_ */
